/*
 * Copyright (C) 2012, H&D Wireless AB All rights reserved.
 *
 * The license to use this software in whole and in part and to
 * redistribute it in any form follows with the WiFi HW module from H&D
 * Wireless and is granted under the following restrictions:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * 3. The name of H&D Wireless AB may not be used to endorse or promote
 *    products derived from this software without specific prior written
 *    permission.
 *
 * 4. The software may only be used together with hardware from H&D
 *    Wireless all other use is prohibited.
 *
 * 5. The license to use and redistribute the software is granted
 *    together with the purchase of a hardware platform on a one to one
 *    basis.
 *
 * 6. The binary code may not be reversed engineered or by other means
 *    copied to circumvent this license.
 * 
 * THIS SOFTWARE IS PROVIDED BY H&D WIRELESS AB ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE EXPRESSLY AND SPECIFICALLY DISCLAIMED. IN NO EVENT
 * SHALL HD WIRELESS AB BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * For more information regarding this software license Contact H&D
 * Wireless AB (support@hd-wireless.se).
 *
 */

#ifndef WLP_SHELL_H
#define WLP_SHELL_H

#include <owl/core/owl_shell.h>

extern const struct owlsh_cmd cmd_reset;
extern const struct owlsh_cmd cmd_set_baudrate;
extern const struct owlsh_cmd cmd_get_version;
extern const struct owlsh_cmd cmd_get_fw_version;
extern const struct owlsh_cmd cmd_get_fw_caps;
extern const struct owlsh_cmd cmd_set_mode;
extern const struct owlsh_cmd cmd_get_mode;
extern const struct owlsh_cmd cmd_set_ps;
extern const struct owlsh_cmd cmd_conf_ps;
extern const struct owlsh_cmd cmd_conf_ap;
extern const struct owlsh_cmd cmd_set_channel;

extern const struct owlsh_cmd cmd_linkup;
extern const struct owlsh_cmd cmd_linkdown;
extern const struct owlsh_cmd cmd_get_hwaddr;
extern const struct owlsh_cmd cmd_get_network;
extern const struct owlsh_cmd cmd_set_ipaddr;
extern const struct owlsh_cmd cmd_get_ipaddr;
extern const struct owlsh_cmd cmd_set_dhcp;
extern const struct owlsh_cmd cmd_get_dhcp;
extern const struct owlsh_cmd cmd_set_dhcpd;

extern const struct owlsh_cmd cmd_socket;
extern const struct owlsh_cmd cmd_bind;
extern const struct owlsh_cmd cmd_listen;
extern const struct owlsh_cmd cmd_connect;
extern const struct owlsh_cmd cmd_close;
extern const struct owlsh_cmd cmd_send;
extern const struct owlsh_cmd cmd_sendto;
extern const struct owlsh_cmd cmd_get_peeraddr;
extern const struct owlsh_cmd cmd_get_hostbyname;

extern const struct owlsh_cmd cmd_send_file;
extern const struct owlsh_cmd cmd_recv_file;
extern const struct owlsh_cmd cmd_recv;
extern const struct owlsh_cmd cmd_fw_upgrade;
extern const struct owlsh_cmd cmd_set_led;
extern const struct owlsh_cmd cmd_set_heartbeat;
extern const struct owlsh_cmd cmd_set_poll_period;

extern const struct owlsh_cmd cmd_scan;

#endif
